Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jsxe.options
Interface OptionPane

All Known Implementing Classes:
  AbstractOptionPane, OptionsPanel

public interface OptionPane

The interface all option panes must implement.

The name of an option pane is returned by the `getName()` method. The label displayed in the option pane's tab is obtained from the `getTitle()` method. Note that you may want to extend the `AbstractOptionPane` if creating an OptionPane for use with jsXe.

Version:
  $Id: OptionPane.java 910 2006-06-07 05:45:54Z ian_lewis $
Author:
  Slava Pestov, Ian Lewis (IanLewis@member.fsf.org)
See Also:
  `OptionGroup`, `OptionsDialog.addOptionPane(OptionPane)`

Method Summary
`Component` | `getComponent()` Returns the component that should be displayed for this option pane.
`String` | `getName()` Returns the internal name of this option pane.
`String` | `getTitle()` Get the human readable title of the option pane
`void` | `init()` This method is called every time the option pane is displayed.
`void` | `save()` Called when the options dialog's "ok" button is clicked.

Method Detail

### getName

    public String getName()

  Returns the internal name of this option pane.

### getTitle

    public String getTitle()

  Get the human readable title of the option pane

### getComponent

    public Component getComponent()

  Returns the component that should be displayed for this option pane.

### init

    public void init()

  This method is called every time the option pane is displayed.

### save

    public void save()

  Called when the options dialog's "ok" button is clicked. This should save any properties being edited in this option pane.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD